### Enumeration

# FwupdPlugin EfiFileType

#### Declaration

    enum FwupdPlugin.EfiFileType

#### Description

No description available.

#### Members

`FU_EFI_FILE_TYPE_ALL`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_RAW`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_FREEFORM`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_SECURITY_CORE`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_PEI_CORE`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_DXE_CORE`

  No description available.

  - Value: `5`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_PEIM`

  No description available.

  - Value: `6`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_DRIVER`

  No description available.

  - Value: `7`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_COMBINED_PEIM_DRIVER`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_APPLICATION`

  No description available.

  - Value: `9`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_MM`

  No description available.

  - Value: `10`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_FIRMWARE_VOLUME_IMAGE`

  No description available.

  - Value: `11`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_COMBINED_MM_DXE`

  No description available.

  - Value: `12`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_MM_CORE`

  No description available.

  - Value: `13`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_MM_STANDALONE`

  No description available.

  - Value: `14`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_MM_CORE_STANDALONE`

  No description available.

  - Value: `15`
  - Available since: 1.0
`FU_EFI_FILE_TYPE_FFS_PAD`

  No description available.

  - Value: `240`
  - Available since: 1.0